/* 页面交互效果 */

(function(win, $) {

	// 导航栏切换
	$('.nav-li').on('click', function() {
		$('.nav-li').removeClass('active');
		$(this).addClass('active');
	})

	// 页面list初次渲染
	GetJeqylistinfo(0, 10);
	// 获取指定页面数据
	function GetJeqylistinfo(pageindex, pagesize) {
		$.ajax({
			url : 'djgcompanyinfotempaction_yth.action?cmd=getJeCorpInfoList',
			type : 'post',
			data : {
				pageindex : pageindex,
				pagesize : pagesize,
				sfswqy : "1"
			},
			dataType : 'json',
			success : function(data) {
				// console.log(data);
				// 渲染列表页码控件
				renderPagerJeqyListcontent(data);
				// 页面list初次渲染
				GetJerylistinfo(0, 10);
			},
			error : function(error) {
				console.log('接口不通' + error);
			}
		});
	}

	// 获取指定页面数据
	function GetJerylistinfo(pageindex, pagesize) {
		$.ajax({
			url : 'djguserinfotempaction_yth.action?cmd=getJeUserInfoList',
			type : 'post',
			data : {
				pageindex : pageindex,
				pagesize : pagesize,
				sfswqy : '1'
			},
			dataType : 'json',
			success : function(data) {
				// console.log(data);
				// 渲染列表页码控件
				renderPagerJeryListcontent(data);
			},
			error : function(error) {
				console.log('接口不通' + error);
			}
		});
	}

	// 渲染页面
	function renderPagerJeqyListcontent(data) {
		var list = data.custom.list;
		var M = Mustache;
		var content = $("#jeqytemp").html();
		M.parse(content);

		// 进鄂企业数据 按照真实接口分别获取不同字段数据
		$("#jeqylist").html(M.render(content, {
			datalist : list
		}));

	}

	// 渲染页面
	function renderPagerJeryListcontent(data) {
		var list = data.custom.list;
		var M = Mustache;
		var content = $("#jerytemp").html();
		M.parse(content);

		// 进鄂人员数据
		$("#jeqylist2").html(M.render(content, {
			datalist : list
		}));

		$('.roll1').each(function(i, el) {
			$(el).liMarquee({
				direction : 'up',
				runshort : false,
				scrollamount : 20
			});
		});

		// tab切换
		$(".tabview2").each(function(index, el) {
			$(this).Tab({
				hd : ".hdl",
				bd : ".bdl",
				target : "target",
				activeIndex : 0, // 默认激活Tab索引
				event : "mouseover", // Tab激活方式 click，mouseover
			});
		});
	}

	// 页面list初次渲染
	GetCxdtlistinfo(0, 6);
	// 获取指定页面数据
	function GetCxdtlistinfo(pageindex, pagesize) {
		$.ajax({
			// url :
			// 'tbregpersongoodcreditinfolistaction.action?cmd=getCxdtinfoList',
			url : 'portalaction_yth.action?cmd=getTZGGInfo',
			type : 'post',
			data : {
				pageindex : pageindex,
				pagesize : pagesize,
				tztype : '006003'
			},
			dataType : 'json',
			success : function(data) {
				// console.log(data);
				// 渲染列表页码控件
				renderPagerCxdtListcontent(data);
			},
			error : function(error) {
				console.log('接口不通' + error);
			}
		});
	}
	// 渲染页面
	function renderPagerCxdtListcontent(data) {
		// var list = data.custom.list;
		var list = data.custom.listinfo;
		var M = Mustache;
		var content = $("#cxdttemp").html();
		M.parse(content);
		$("#cxdtlist").html(M.render(content, {
			datalist : list
		}));
	}

	// 页面list初次渲染
	GetBgtlistinfo(0, 6);
	// 获取指定页面数据
	function GetBgtlistinfo(pageindex, pagesize) {
		$.ajax({
			// url :
			// 'tbregpersongoodcreditinfolistaction.action?cmd=getCxdtinfoList',
			url : 'portalaction_yth.action?cmd=getTZGGInfo',
			type : 'post',
			data : {
				pageindex : pageindex,
				pagesize : pagesize,
				tztype : '006007'
			},
			dataType : 'json',
			success : function(data) {
				// console.log(data);
				// 渲染列表页码控件
				renderPagerBgtListcontent(data);
			},
			error : function(error) {
				console.log('接口不通' + error);
			}
		});
	}
	// 渲染页面
	function renderPagerBgtListcontent(data) {
		// var list = data.custom.list;
		var list = data.custom.listinfo;
		var M = Mustache;
		var content = $("#bgttemp").html();
		M.parse(content);
		$("#bgtlist").html(M.render(content, {
			datalist : list
		}));
	}

	// 页面list初次渲染
	GetJddtlistinfo(0, 6);
	// 获取指定页面数据
	function GetJddtlistinfo(pageindex, pagesize) {
		$.ajax({
			url : 'portalaction_yth.action?cmd=getTZGGInfo',
			type : 'post',
			data : {
				pageindex : pageindex,
				pagesize : pagesize,
				tztype : '006002'
			},
			dataType : 'json',
			success : function(data) {
				// console.log(data);
				// 渲染列表页码控件
				renderPagerJddtListcontent(data);
			},
			error : function(error) {
				console.log('接口不通' + error);
			}
		});
	}
	// 渲染页面
	function renderPagerJddtListcontent(data) {
		var list = data.custom.listinfo;
		var M = Mustache;
		var content = $("#jddttemp").html();
		M.parse(content);
		$("#jddtlist").html(M.render(content, {
			datalist : list
		}));
	}

	// 页面list初次渲染
	GetWtdylistinfo(0, 6);
	// 获取指定页面数据
	function GetWtdylistinfo(pageindex, pagesize) {
		$.ajax({
			url : 'portalaction_yth.action?cmd=getTZGGInfo',
			type : 'post',
			data : {
				pageindex : pageindex,
				pagesize : pagesize,
				tztype : '006006'
			},
			dataType : 'json',
			success : function(data) {
				// console.log(data);
				// 渲染列表页码控件
				renderPagerWtdyListcontent(data);
			},
			error : function(error) {
				console.log('接口不通' + error);
			}
		});
	}
	// 渲染页面
	function renderPagerWtdyListcontent(data) {
		var list = data.custom.listinfo;
		var M = Mustache;
		var content = $("#wtdytemp").html();
		M.parse(content);
		$("#wtdylist").html(M.render(content, {
			datalist : list
		}));
	}

	var pagesize = 4;
	// 页面list初次渲染
	GetProjectlistinfo(0, pagesize);
	// 获取指定页面数据
	function GetProjectlistinfo(pageindex, pagesize) {
		$.ajax({
			url : 'jsgcprojectinfolistaction_yth.action?cmd=getProjectInfoList',
			type : 'post',
			data : {
				pageindex : pageindex,
				pagesize : pagesize
			},
			dataType : 'json',
			success : function(data) {
				// 渲染列表页码控件
				renderPagerListcontent(data);
			},
			error : function(error) {
			}
		});
	}
	// 渲染页面
	function renderPagerListcontent(data) {
		var projectList = data.custom.projectinfoList;
		var M = Mustache;
		var prjcontent = $("#projecttemp").html();
		M.parse(prjcontent);
		$("#projectlist").html(M.render(prjcontent, {
			datalist : projectList
		}));
	}

	// 页面list初次渲染
	GetBLProjectlistinfo(0, pagesize);
	// 获取指定页面数据
	function GetBLProjectlistinfo(pageindex, pagesize) {
		$.ajax({
			url : 'jsgcprojectinfolistaction_yth.action?cmd=getProjectInfoList',
			type : 'post',
			data : {
				pageindex : pageindex,
				pagesize : pagesize,
				blstatus : 2
			},
			dataType : 'json',
			success : function(data) {
				// console.log(data);
				// 渲染列表页码控件
				renderPagerBLListcontent(data);
			},
			error : function(error) {
				console.log('接口不通' + error);
			}
		});
	}
	// 渲染页面
	function renderPagerBLListcontent(data) {
		var projectList = data.custom.projectinfoList;
		// console.log(projectList);
		var M = Mustache;
		var prjcontent = $("#blprojecttemp").html();
		M.parse(prjcontent);
		$("#blprojectlist").html(M.render(prjcontent, {
			datalist : projectList
		}));
	}

	// 页面list初次渲染
	GetQYblxwlistinfo(0, 10);
	// 获取指定页面数据
	function GetQYblxwlistinfo(pageindex, pagesize) {
		$.ajax({
			url : 'tbcorpbadcreditinfolistaction.action?cmd=getQYblxwinfoList',
			type : 'post',
			data : {
				pageindex : pageindex,
				pagesize : pagesize
			},
			dataType : 'json',
			success : function(data) {
				// console.log(data);
				// 渲染列表页码控件
				renderPagerQYblxwListcontent(data);
			},
			error : function(error) {
				console.log('接口不通' + error);
			}
		});
	}
	// 渲染页面
	function renderPagerQYblxwListcontent(data) {
		var list = data.custom.list;
		var M = Mustache;
		var content = $("#qyblxwtemp").html();
		M.parse(content);
		$("#qyblxwlist").html(M.render(content, {
			datalist : list
		}));
		$('#qyblxwroll').each(function(i, el) {
			$(el).liMarquee({
				direction : 'up',
				runshort : false,
				scrollamount : 20
			});
		})
	}

	// 页面list初次渲染
	GetQYlhxwlistinfo(0, 10);
	// 获取指定页面数据
	function GetQYlhxwlistinfo(pageindex, pagesize) {
		$.ajax({
			url : 'tbcorpgoodcreditinfolistaction.action?cmd=getQYlhxwinfoList',
			type : 'post',
			data : {
				pageindex : pageindex,
				pagesize : pagesize
			},
			dataType : 'json',
			success : function(data) {
				// console.log(data);
				// 渲染列表页码控件
				renderPagerQYlhxwListcontent(data);
			},
			error : function(error) {
				console.log('接口不通' + error);
			}
		});
	}
	// 渲染页面
	function renderPagerQYlhxwListcontent(data) {
		var list = data.custom.list;
		var M = Mustache;
		var content = $("#qylhxwtemp").html();
		M.parse(content);
		$("#qylhxwlist").html(M.render(content, {
			datalist : list
		}));
		$('#qylhxwroll').each(function(i, el) {
			$(el).liMarquee({
				direction : 'up',
				runshort : false,
				scrollamount : 20
			});
		})
	}

	// 点击切换下拉框
	$("#type").chosen({
		disable_search : true, // 是否显示搜索框 true为不显示搜索框
		inherit_select_classes : false
	// 是否继承 select 元素的 class，如果设为 true，Chosen 将把 select 的 class 添加到容器上
	})

	// 轮播
	$('#ewb-imgscroll2').owlCarousel({
		loop : true,
		items : 1,
		nav : true,
		rtl : false, // 默认情况下旋转木马是从左向右移动，通过设置rtl:true可以使Owl改变方向从右向左移动
		dots : true, // 是否显示圆点导航
		autoplay : true, // 是否自动播放
		autoplayHoverPause : true,
		autoplayTimeout : 5000, // 自动播放间隔超时
		responsiveClass : true, // 是否是响应式轮播
		navText : [ ' ', ' ' ]
	// 设置左右按钮文字
	});

	// 页面list初次渲染
	GetRYblxwlistinfo(0, 10);
	// 获取指定页面数据
	function GetRYblxwlistinfo(pageindex, pagesize) {
		$.ajax({
			url : 'tbregpersonbadcreditinfolistaction.action?cmd=getRYblxwinfoList',
			type : 'post',
			data : {
				pageindex : pageindex,
				pagesize : pagesize
			},
			dataType : 'json',
			success : function(data) {
				// console.log(data);
				// 渲染列表页码控件
				renderPagerRYblxwListcontent(data);
			},
			error : function(error) {
				console.log('接口不通' + error);
			}
		});
	}
	// 渲染页面
	function renderPagerRYblxwListcontent(data) {
		var list = data.custom.list;
		var M = Mustache;
		var content = $("#ryblxwtemp").html();
		M.parse(content);
		$("#ryblxwlist").html(M.render(content, {
			datalist : list
		}));
		$('#ryblxwroll').each(function(i, el) {
			$(el).liMarquee({
				direction : 'up',
				runshort : false,
				scrollamount : 20
			});
		})
	}

	// 页面list初次渲染
	GetRYlhxwlistinfo(0, 10);
	// 获取指定页面数据
	function GetRYlhxwlistinfo(pageindex, pagesize) {
		$.ajax({
			url : 'tbregpersongoodcreditinfolistaction.action?cmd=getRYlhxwinfoList',
			type : 'post',
			data : {
				pageindex : pageindex,
				pagesize : pagesize
			},
			dataType : 'json',
			success : function(data) {
				// console.log(data);
				// 渲染列表页码控件
				renderPagerRYlhxwListcontent(data);
			},
			error : function(error) {
				console.log('接口不通' + error);
			}
		});
	}
	// 渲染页面
	function renderPagerRYlhxwListcontent(data) {
		var list = data.custom.list;
		var M = Mustache;
		var content = $("#rylhxwtemp").html();
		M.parse(content);
		$("#rylhxwlist").html(M.render(content, {
			datalist : list
		}));
		$('#rylhxwroll').each(function(i, el) {
			$(el).liMarquee({
				direction : 'up',
				runshort : false,
				scrollamount : 20
			});
		})
	}

	// 页面list初次渲染
	GetHmdlistinfo(0, 10);
	// 获取指定页面数据
	function GetHmdlistinfo(pageindex, pagesize) {
		$.ajax({
			url : 'hmdinfonewlistaction.action?cmd=getHmdinfoList',
			type : 'post',
			data : {
				pageindex : pageindex,
				pagesize : pagesize,
				infotype : 2
			},
			dataType : 'json',
			success : function(data) {
				// console.log(data);
				// 渲染列表页码控件
				renderPagerHmdListcontent(data);
			},
			error : function(error) {
				console.log('接口不通' + error);
			}
		});
	}
	// 渲染页面
	function renderPagerHmdListcontent(data) {
		var list = data.custom.list;
		var M = Mustache;
		var content = $("#hmdtemp").html();
		M.parse(content);
		$("#hmdlist").html(M.render(content, {
			datalist : list
		}));
		$('#hmdroll').each(function(i, el) {
			$(el).liMarquee({
				direction : 'up',
				runshort : false,
				scrollamount : 20
			});
		})
	}

	// 页面list初次渲染
	GetLhcjlistinfo(0, 10);
	// 获取指定页面数据
	function GetLhcjlistinfo(pageindex, pagesize) {
		$.ajax({
			url : 'hmdinfonewlistaction.action?cmd=getHmdinfoList',
			type : 'post',
			data : {
				pageindex : pageindex,
				pagesize : pagesize,
				infotype : 1
			},
			dataType : 'json',
			success : function(data) {
				// console.log(data);
				// 渲染列表页码控件
				renderPagerLhcjListcontent(data);
			},
			error : function(error) {
				console.log('接口不通' + error);
			}
		});
	}
	
	// 渲染页面
	function renderPagerLhcjListcontent(data) {
		var list = data.custom.list;
		var M = Mustache;
		var content = $("#lhcjtemp").html();
		M.parse(content);
		$("#lhcjlist").html(M.render(content, {
			datalist : list
		}));
		$('#lhcjroll').each(function(i, el) {
			$(el).liMarquee({
				direction : 'up',
				runshort : false,
				scrollamount : 20
			});
		})
	}
	GetJzyyjlistinfo(0, 10);
	// 获取指定页面数据
	function GetJzyyjlistinfo(pageindex, pagesize) {
		$.ajax({
			url : 'yjjzyinfolistaction.action?cmd=getJzyyjinfoList',
			type : 'post',
			data : {
				pageindex : pageindex,
				pagesize : pagesize
			},
			dataType : 'json',
			success : function(data) {
				// console.log(data);
				// 渲染列表页码控件
				renderPagerJzyyjListcontent(data);
			},
			error : function(error) {
				console.log('接口不通' + error);
			}
		});
	}
	//施工业绩渲染
	function renderPagerJzyyjListcontent(data) {
		var list = data.custom.list;
		var M = Mustache;
		var content = $("#jzyyjtemp").html();
		M.parse(content);
		$("#jzyyjlist").html(M.render(content, {
			datalist : list
		}));
		$('#jzyyjroll').each(function(i, el) {
			$(el).liMarquee({
				direction : 'up',
				runshort : false,
				scrollamount : 20
			});
		})
	}
	
	GetJlyjlistinfo(0, 10);
	// 获取指定页面数据
	function GetJlyjlistinfo(pageindex, pagesize) {
		$.ajax({
			url : 'yjjlinfolistaction.action?cmd=getJlyjinfoList',
			type : 'post',
			data : {
				pageindex : pageindex,
				pagesize : pagesize
			},
			dataType : 'json',
			success : function(data) {
				// console.log(data);
				// 渲染列表页码控件
				renderPagerJlyjListcontent(data);
			},
			error : function(error) {
				console.log('接口不通' + error);
			}
		});
	}
	//监理业绩渲染
	function renderPagerJlyjListcontent(data) {
		var list = data.custom.list;
		var M = Mustache;
		var content = $("#jlyjtemp").html();
		M.parse(content);
		$("#jlyjlist").html(M.render(content, {
			datalist : list
		}));
		$('#jlyjroll').each(function(i, el) {
			$(el).liMarquee({
				direction : 'up',
				runshort : false,
				scrollamount : 20
			});
		})
	}
	GetKcqyyjlistinfo(0, 10);
	// 获取指定页面数据
	function GetKcqyyjlistinfo(pageindex, pagesize) {
		$.ajax({
			url : 'kcsjqyyjinfolistaction.action?cmd=getKcsjyjinfoList',
			type : 'post',
			data : {
				pageindex : pageindex,
				pagesize : pagesize,
				type:'15'
			},
			dataType : 'json',
			success : function(data) {
				// console.log(data);
				// 渲染列表页码控件
				renderPagerKcqyyjListcontent(data);
			},
			error : function(error) {
				console.log('接口不通' + error);
			}
		});
	}
	//勘察企业业绩渲染
	function renderPagerKcqyyjListcontent(data) {
		var list = data.custom.list;
		var M = Mustache;
		var content = $("#kcqyyjtemp").html();
		M.parse(content);
		$("#kcqyyjlist").html(M.render(content, {
			datalist : list
		}));
		$('#kcqyyjroll').each(function(i, el) {
			$(el).liMarquee({
				direction : 'up',
				runshort : false,
				scrollamount : 20
			});
		})
	}
	GetSjqyyjlistinfo(0, 10);
	// 获取指定页面数据
	function GetSjqyyjlistinfo(pageindex, pagesize) {
		$.ajax({
			url : 'kcsjqyyjinfolistaction.action?cmd=getKcsjyjinfoList',
			type : 'post',
			data : {
				pageindex : pageindex,
				pagesize : pagesize,
				type:'16'
			},
			dataType : 'json',
			success : function(data) {
				// console.log(data);
				// 渲染列表页码控件
				renderPagerSjqyyjListcontent(data);
			},
			error : function(error) {
				console.log('接口不通' + error);
			}
		});
	}
	//设计企业业绩渲染
	function renderPagerSjqyyjListcontent(data) {
		var list = data.custom.list;
		var M = Mustache;
		var content = $("#sjqyyjtemp").html();
		M.parse(content);
		$("#sjqyyjlist").html(M.render(content, {
			datalist : list
		}));
		$('#sjqyyjroll').each(function(i, el) {
			$(el).liMarquee({
				direction : 'up',
				runshort : false,
				scrollamount : 20
			});
		})
	}
	
	GetKcryyjlistinfo(0, 10);
	// 获取指定页面数据
	function GetKcryyjlistinfo(pageindex, pagesize) {
		$.ajax({
			url : 'ppdeclarationlistaction.action?cmd=getKcsjryyjinfoList',
			type : 'post',
			data : {
				pageindex : pageindex,
				pagesize : pagesize,
				type:'kc'
			},
			dataType : 'json',
			success : function(data) {
				// console.log(data);
				// 渲染列表页码控件
				renderPagerKcryyjListcontent(data);
			},
			error : function(error) {
				console.log('接口不通' + error);
			}
		});
	}
	//勘察人员业绩渲染
	function renderPagerKcryyjListcontent(data) {
		var list = data.custom.list;
		var M = Mustache;
		var content = $("#kcryyjtemp").html();
		M.parse(content);
		$("#kcryyjlist").html(M.render(content, {
			datalist : list
		}));
		$('#kcryyjroll').each(function(i, el) {
			$(el).liMarquee({
				direction : 'up',
				runshort : false,
				scrollamount : 20
			});
		})
	}
	
	GetSjryyjlistinfo(0, 10);
	// 获取指定页面数据
	function GetSjryyjlistinfo(pageindex, pagesize) {
		$.ajax({
			url : 'ppdeclarationlistaction.action?cmd=getKcsjryyjinfoList',
			type : 'post',
			data : {
				pageindex : pageindex,
				pagesize : pagesize,
				type:'sj'
			},
			dataType : 'json',
			success : function(data) {
				// console.log(data);
				// 渲染列表页码控件
				renderPagerSjryyjListcontent(data);
			},
			error : function(error) {
				console.log('接口不通' + error);
			}
		});
	}
	//设计人员业绩渲染
	function renderPagerSjryyjListcontent(data) {
		var list = data.custom.list;
		var M = Mustache;
		var content = $("#sjryyjtemp").html();
		M.parse(content);
		$("#sjryyjlist").html(M.render(content, {
			datalist : list
		}));
		$('#sjryyjroll').each(function(i, el) {
			$(el).liMarquee({
				direction : 'up',
				runshort : false,
				scrollamount : 20
			});
		})
	}

	// 页面list初次渲染
	// 优良行为公示期
	GetXypjPubliclistinfo(0, 20, '13', "yl", "0");
	GetXypjPubliclistinfo(0, 20, '15', "yl", "0");
	GetXypjPubliclistinfo(0, 20, '16', "yl", "0");
	GetXypjPubliclistinfo(0, 20, '14', "yl", "0");
	GetXypjPubliclistinfo(0, 20, '24', "yl", "0");
	GetXypjPubliclistinfo(0, 20, '50', "yl", "0");
	// 优良行为生效期
	GetXypjPubliclistinfo(0, 20, '13', "yl", "1");
	GetXypjPubliclistinfo(0, 20, '15', "yl", "1");
	GetXypjPubliclistinfo(0, 20, '16', "yl", "1");
	GetXypjPubliclistinfo(0, 20, '14', "yl", "1");
	GetXypjPubliclistinfo(0, 20, '24', "yl", "1");
	GetXypjPubliclistinfo(0, 20, '50', "yl", "1");
	// 不良行为公示期
	GetXypjPubliclistinfo(0, 20, '13', "bl", "0");
	GetXypjPubliclistinfo(0, 20, '15', "bl", "0");
	GetXypjPubliclistinfo(0, 20, '16', "bl", "0");
	GetXypjPubliclistinfo(0, 20, '14', "bl", "0");
	GetXypjPubliclistinfo(0, 20, '24', "bl", "0");
	GetXypjPubliclistinfo(0, 20, '50', "bl", "0");
	// 不良行为生效期
	GetXypjPubliclistinfo(0, 20, '13', "bl", "1");
	GetXypjPubliclistinfo(0, 20, '15', "bl", "1");
	GetXypjPubliclistinfo(0, 20, '16', "bl", "1");
	GetXypjPubliclistinfo(0, 20, '14', "bl", "1");
	GetXypjPubliclistinfo(0, 20, '24', "bl", "1");
	GetXypjPubliclistinfo(0, 20, '50', "bl", "1");
	// 获取指定页面数据
	function GetXypjPubliclistinfo(pageindex, pagesize, corptype, credittype, issx) {
		$.ajax({
			url : 'xypjgoodcreditinfosblistaction.action?cmd=getXypjPublicListInfo',
			type : 'post',
			data : {
				pageindex : pageindex,
				pagesize : pagesize,
				corptype : corptype,
				credittype : credittype,
				issx : issx
			},
			dataType : 'json',
			success : function(data) {
				// 渲染列表页码控件
				var xypjpublicinfolist = data.custom.list;
				var M = Mustache;
				var tempId = "#xypjdw" + credittype + corptype + issx + "temp";
				var conentId = "#xypjdw" + credittype + corptype + issx;
				var xypjcontent = $(tempId).html();
				M.parse(xypjcontent);
				$(conentId).html(M.render(xypjcontent, {
					datalist : xypjpublicinfolist
				}));
			},
			error : function(error) {
			}
		});
	}

	GetXypjRankListInfo(0, 15, "13");
	GetXypjRankListInfo(1, 15, "13");
	GetXypjRankListInfo(0, 15, "15");
	GetXypjRankListInfo(1, 15, "15");
	GetXypjRankListInfo(0, 15, "16");
	GetXypjRankListInfo(1, 15, "16");
	GetXypjRankListInfo(0, 15, "14");
	GetXypjRankListInfo(1, 15, "14");
	GetXypjRankListInfo(0, 15, "24");
	GetXypjRankListInfo(1, 15, "24");
	GetXypjRankListInfo(0, 15, "50");
	GetXypjRankListInfo(1, 15, "50");

	// 获取指定页面数据
	function GetXypjRankListInfo(pageindex, pagesize, corptype) {
		$.ajax({
			url : 'xypjgoodcreditinfosblistaction.action?cmd=getXypjRankListInfo',
			type : 'post',
			data : {
				pageindex : pageindex,
				pagesize : pagesize,
				corptype : corptype
			},
			dataType : 'json',
			success : function(data) {
				// 渲染列表页码控件
				var xypjrankinfolist = data.custom.list;
				var M = Mustache;
				var tempId = "#xypjrank" + corptype + pageindex + "temp";
				var conentId = "#xypjrank" + corptype + pageindex;
				var xypjcontent = $(tempId).html();
				M.parse(xypjcontent);
				$(conentId).html(M.render(xypjcontent, {
					datalist : xypjrankinfolist
				}));
			},
			error : function(error) {
			}
		});
	}

	// 新手指南弹窗
	var winHeight = $(window).height();
	$('#new-btn').on('click', function() {
		layer.open({
			type : 2,
			area : [ '1200px', winHeight * 0.95 + 'px' ],
			closeBtn : 0,
			shade : 0.6,
			title : '',
			content : 'frame/workportal/guide_frame'
		});
	});

	// 页码设置
	$(".owl-carousel").find(".owl-dot").each(function(i, el) {
		$(el).find("span").text(i + 1);
	});

	$('.roll').each(function(i, el) {
		$(el).liMarquee({
			direction : 'up',
			runshort : false,
			scrollamount : 20
		});
	})

	$('#closeleft').click(function() {
		$('#popmianleft').css('display', 'none');
	});
	
	 // tab切换
    $('.tabview1').each(function (index, el) {
        $(this).Tab({
            hd: '.hdl',
            bd: '.bdl',
            target: 'target',
            activeIndex: 0, //默认激活Tab索引
            event: 'click' //Tab激活方式 click，mouseover
        });
    });
    $('#file-bd').Tab();
}(this, jQuery));

